<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.RootDeviceFactory.RootDeviceFactory &ndash; librygel-core &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.RootDeviceFactory.RootDeviceFactory &ndash; librygel-core Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-core</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.RootDeviceFactory.html">RootDeviceFactory</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="property"><a href="Rygel.RootDeviceFactory.context.html">context</a></li>
          <li class="creation_method">RootDeviceFactory</li>
          <li class="method"><a href="Rygel.RootDeviceFactory.create.html">create</a></li>
          <li class="method"><a href="Rygel.RootDeviceFactory.init.html">init</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">RootDeviceFactory</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <b><span class="creation_method">RootDeviceFactory</span></b> (<span class="main_type"><span class="class">Context</span></span> context) <span class="main_keyword">throws</span> <span class="main_type"><span class="class">Error</span></span>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>